Retrieve order status information
Get information about an existing order.
Request parameters
Parameter
Type / Description
sessionID
Required (string)
Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.
refNo
Required (string)
The unique, system-generated identifier of a partner order.
Request sample
<?php
require ('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
$refNo = 'YOUR_ORDER_REFERENCE_NUMBER';
$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'getOrderStatus',
'params' => array($sessionID, $refNo)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));Response
Parameter
Type
Order
Object
Errors
Error
Description
INVALID_PARTNER
No partner is set.
INVALID_REFERENCE
The provided order reference is invalid.
Last updated
Was this helpful?